from django.urls import reverse

from intranet.femida.src.core.admin import format_url


def get_st_changelog_url(key):
    if not key:
        return None
    url = reverse('st-changelog', kwargs={'key': key.upper()})
    return format_url(url, key)
